package de.hazewood.rylius.mlgj1.elements;

import de.hazewood.rylius.mlgj1.Element;
import de.hazewood.rylius.mlgj1.Game;
import de.hazewood.rylius.mlgj1.Pony;
import org.newdawn.slick.GameContainer;

public class MazeLocation extends Element {

    private Pony pony;

    public MazeLocation(Pony pony) {
        super(Game.image("icons/" + pony.name().toLowerCase()));
        this.pony = pony;
    }

    @Override
    public void update(GameContainer gc, int delta) {
        super.update(gc, delta);

        if (clicked(gc.getInput())) {
            level.addEvent("location", this, new Object[]{pony});
        }
    }

    @Override
    public boolean combine(Element other) {
        return false;
    }
}
