package de.hazewood.rylius.mlgj1.elements.props;

import de.hazewood.rylius.mlgj1.Element;
import de.hazewood.rylius.mlgj1.Game;
import org.newdawn.slick.GameContainer;

public class Leaves extends Element {

    public Leaves() {
        super(Game.image("props/leaves"), true);
        pickupSound = Game.sound("leaves");
    }

    @Override
    public void update(GameContainer gc, int delta) {
        super.update(gc, delta);

        if (clicked(gc.getInput())) {
            level.addEvent("leaves", this, null);
        }
    }

    @Override
    public boolean combine(Element other) {
        if (other instanceof Trunk) {
            level.pick(null);
            return true;
        }
        return false;
    }
}
