package de.hazewood.rylius.mlgj1.elements.chars;

import de.hazewood.rylius.mlgj1.AnimationElement;
import de.hazewood.rylius.mlgj1.Element;
import de.hazewood.rylius.mlgj1.Game;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Input;
import org.newdawn.slick.geom.Vector2f;

public class Discord extends AnimationElement {

    private Vector2f itemPos;

    public Discord() {
        super(Game.image("discord"));
        itemPos = new Vector2f(192, 8);
    }

    @Override
    public void update(GameContainer gc, int delta) {
        super.update(gc, delta);

        Input in = gc.getInput();

        if (clicked(in)) {
            level.addEvent("discord", this, null);
        }
    }

    public Vector2f getItemPos() {
        return itemPos;
    }

    @Override
    public boolean combine(Element other) {
        return false;
    }
}
